Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.Sys

class slepc4py.SLEPc.Sys

  Bases: `object`

  Sys.

  Methods Summary

  `getVersion`([devel, date, author]) | Return SLEPc version information.
  `getVersionInfo`() | Return SLEPc version information.
  `hasExternalPackage`(package) | Return whether SLEPc has support for external package.
  `isFinalized`() | Return whether SLEPc has been finalized.
  `isInitialized`() | Return whether SLEPc has been initialized.

  Methods Documentation

  classmethod getVersion(devel=False, date=False, author=False)

    Return SLEPc version information.

    Not collective.

    Parameters:

      - devel (bool) – Additionally, return whether using an in-development version.

      - date (bool) – Additionally, return date information.

      - author (bool) – Additionally, return author information.

    Returns:

      - major (`int`) – Major version number.

      - minor (`int`) – Minor version number.

      - micro (`int`) – Micro (or patch) version number.

    Return type:

      tuple[int, int, int]

    See also

    `SlepcGetVersion`, `SlepcGetVersionNumber`

    Source code at slepc4py/SLEPc/Sys.pyx:6

  classmethod getVersionInfo()

    Return SLEPc version information.

    Not collective.

    Returns:

      info – Dictionary with version information.

    Return type:

      `dict`

    See also

    `SlepcGetVersion`, `SlepcGetVersionNumber`

    Source code at slepc4py/SLEPc/Sys.pyx:62

  classmethod hasExternalPackage(package)

    Return whether SLEPc has support for external package.

    Not collective.

    Parameters:

      package (str) – The external package name.

    Return type:

      bool

    See also

    `SlepcHasExternalPackage`

    Source code at slepc4py/SLEPc/Sys.pyx:116

  classmethod isFinalized()

    Return whether SLEPc has been finalized.

    Not collective.

    See also

    `isInitialized`

    Source code at slepc4py/SLEPc/Sys.pyx:101

    Return type:

      bool

  classmethod isInitialized()

    Return whether SLEPc has been initialized.

    Not collective.

    See also

    `isFinalized`

    Source code at slepc4py/SLEPc/Sys.pyx:88

    Return type:

      bool